#
# spec file for package KDialm (Version 2.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake docbook-dsssl-stylesheets docbook_3 gettext gpp iso_ent jade_dsl kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libz mesa mesa-devel mesasoft qt qt-devel qt-extensions sp sp-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdelibs kdelibs-artsd kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         KDialm
Copyright:    unknown
Group:        X11/KDE/Applications
Summary:      monitor and control the DialD
Version:      2.0
Release:      257
Source0:      kdialm-2.0.tar.bz2
Patch0: kdialm-2.0.dif

%description
KDialm show the actual state of the diald, it can also trigger and stop
the internet connection.
You need a configured diald and a proxy or a masquerading firewall for the
diald.

Authors:
--------
    Mike Richardson <mike@quaking.demon.co.uk>

SuSE series: k2de

%prep
%setup -n kdialm-2.0
%patch -p 0 -E
rm -rf ./kdialm/.deps

%build
%{?suse_update_config:%{suse_update_config -f . }}
make -f Makefile.cvs
CXXFLAGS="$CXXFLAGS -DNDEBUG -O2 " ./configure \
  --prefix=/opt/kde2 \
 --with-qt-dir=/usr/lib/qt2/ \
  
make

%install
make install

%files
%docdir /usr/doc
%docdir /usr/share/doc
%docdir /usr/share/man
%dir /opt/kde2/share/applnk
%dir /opt/kde2/share/applnk/Internet
%dir /opt/kde2/share/apps/kdialm
%dir /opt/kde2/share/apps/kdialm/pics
%dir /opt/kde2/share/locale
%dir /opt/kde2/share/locale/it
%dir /opt/kde2/share/locale/it/LC_MESSAGES
/opt/kde2/bin/kdialm
/opt/kde2/share/applnk/Internet/kdialm.desktop
/opt/kde2/share/apps/kdialm/pics/d_dialing.xpm
/opt/kde2/share/apps/kdialm/pics/d_missing.xpm
/opt/kde2/share/apps/kdialm/pics/d_offline.xpm
/opt/kde2/share/apps/kdialm/pics/d_online.xpm
/opt/kde2/share/apps/kdialm/pics/d_rx.xpm
/opt/kde2/share/apps/kdialm/pics/d_tx.xpm
/opt/kde2/share/apps/kdialm/pics/d_txrx.xpm
/opt/kde2/share/apps/kdialm/pics/s_dialing.xpm
/opt/kde2/share/apps/kdialm/pics/s_missing.xpm
/opt/kde2/share/apps/kdialm/pics/s_offline.xpm
/opt/kde2/share/apps/kdialm/pics/s_online.xpm
/opt/kde2/share/apps/kdialm/pics/s_rx.xpm
/opt/kde2/share/apps/kdialm/pics/s_tx.xpm
/opt/kde2/share/apps/kdialm/pics/s_txrx.xpm
/opt/kde2/share/icons/kdialm.xpm

%changelog -n KDialm
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Tue Aug 07 2001 - adrian@suse.de
- autoconf 2.52 & KDE 2.2 fixes
* Mon Jul 02 2001 - adrian@suse.de
- autoconf 2.50 fixes
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Thu Feb 01 2001 - adrian@suse.de
- Spec file created from kdialm-2.0.tar.bz2 by autospec
